Package Details: golden-cheetah-dev 3.5-191016

Git Clone URL: https://aur.archlinux.org/golden-cheetah-dev.git (read-only)
Package Base: golden-cheetah-dev
Description: Cycling Power Analysis Software. Development version.
Upstream URL: http://www.goldencheetah.org/
Keywords: analysis cycling goldencheetah sport trainer
Licenses: GPL
Submitter: meti
Maintainer: meti
Last Packager: meti
Votes: 3
Popularity: 0.000067
First Submitted: 2017-12-17 13:27
Last Updated: 2019-10-16 20:11

Latest Comments

meti commented on 2019-01-02 00:49

@aiM0a

fixed, thanks.

aiM0a commented on 2019-01-01 00:43

Hi, optdepends should contain 'libusb-compat' and not 'libusb'. libusb-compat has libusb 0.1, whereas libusb is 1.0. This requirement is stated in the gcconfig.pri file:

# If you want support for using USB2 sticks in Train View on Linux or Windows
# then you need to install libusb (Linux) or libusb-win32 (Windows) version 
0.1.12

Compiling with 'libusb' breaks USB2 support in Train View.

blasius commented on 2018-06-19 21:29

Hi

thank you for the package!

By adding these lines to gcconfig.pri I managed to compile Python support into GC:

# Uncomment below if you want Python charting / ML etc

# You will need Python Development tools installed

# Libs needed can typically be found by calling e.g

# python3.6-config --ldflags

# below 3 lines work well on Linux style OS

DEFINES += GC_WANT_PYTHON

PYTHONINCLUDES = -I/usr/include/python3.6m

PYTHONLIBS = -L/usr/lib -L/usr/lib/python3.6/config-3.6m-x86_64-linux-gnu -lpython3.6m -lpthread -ldl -lutil -lm -Xlinker -export-dynamic

# Uncomment if Python is required

QT += webenginewidgets

pmatos commented on 2018-06-12 11:54

@meti, thank you.

meti commented on 2018-06-12 11:27

This is built from the development release of Golden Cheetah developers, not from the git master

pmatos commented on 2018-06-12 11:00

What's the difference between this and golden-cheetah-git?